---
api: 'Merchant API'
---

# Update a customer's payment method (Deprecated)

When you use this request to update a customer's payment method, the payment method can't be used for merchant initiated transactions (MIT) any more. This payment method can be used only when the customer is on the checkout page.


For more information about the limitations introduced by this parameter, see: 
  - [Pay for an order](/docs/api/merchant#pay-order)
  - [Charge a customer's saved payment method](/docs/guides/merchant/optimise-checkout/save-payment-methods/charge-saved-payment-method)

## Endpoint

PATCH `/api/1.0/customers/{customer_id}/payment-methods/{payment_method_id}`

> This endpoint is **deprecated**.

## Request body

### Attributes

- `saved_for` (enum)
    Update the value of `saved_for` from `MERCHANT` to `CUSTOMER`.
    
    This indicates that the updated payment method can't be used for merchant initiated transactions (MIT) any more.
    Possible enum values:

    - `CUSTOMER`

## Returns

### 200

OK

#### Response attributes

- `id` (string)
    The ID of the payment method.
- `type` (enum, optional)
    The type of the payment method.
    
    :::note
    Only merchant initiated transactions are supported for saved `REVOLUT_PAY` payment methods.
    :::
    Possible enum values:

    - `CARD`
    - `REVOLUT_PAY`
- `saved_for` (enum, optional)
    Indicates in which case this saved payment method can be used for payments.
    
    
    - `CUSTOMER`: This payment method can be used only when the customer is on the checkout page.
    - `MERCHANT`: This payment method can be used without the customer being on the checkout page, and the merchant can initiate transactions, for example, to take payments for recurring transactions.
    Possible enum values:

    - `CUSTOMER`
    - `MERCHANT`
- `method_details` (object, optional)
    The details of the payment method.
  - `method_details.bin` (string, optional)
      The BIN of the payment card.
  - `method_details.last4` (string, optional)
      The last four digits of the payment card.
  - `method_details.expiry_month` (number, optional)
      The expiry month of the payment card.
  - `method_details.expiry_year` (number, optional)
      The expiry year of the payment card.
  - `method_details.cardholder_name` (string, optional)
      The name of the cardholder.
  - `method_details.billing_address` (object, optional)
      The billing address of the payment method.
    - `method_details.billing_address.street_line_1` (string, optional)
        Street line 1 information.
    - `method_details.billing_address.street_line_2` (string, optional)
        Street line 2 information.
    - `method_details.billing_address.postcode` (string, optional)
        The postcode associated with the address.
    - `method_details.billing_address.city` (string, optional)
        The city associated with the address.
    - `method_details.billing_address.region` (string, optional)
        The region associated with the address.
    - `method_details.billing_address.country_code` (string, optional)
        The country associated with the address.
  - `method_details.brand` (enum, optional)
      The brand of the payment card.
      Possible enum values:

      - `VISA`
      - `MASTERCARD`
      - `MAESTRO`
  - `method_details.funding` (enum, optional)
      The funding type of the payment card.
      Possible enum values:

      - `DEBIT`
      - `CREDIT`
      - `PREPAID`
      - `DEFERRED_DEBIT`
      - `CHARGE`
  - `method_details.issuer` (string, optional)
      The issuer of the payment card.
  - `method_details.issuer_country` (string, optional)
      Two-letter country code of the country where the payment card was issued.
  - `method_details.created_at` (string, optional)
      The date and time the payment card was added.

## Error responses

| HTTP status code | Description |
| --- | --- |
| 400 | Bad Request |
| 401 | Unauthorized |
| 404 | Not Found |
